package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.SysUser;
import com.huyi.service.base.mapper.SysUserMapper;
import com.huyi.service.base.service.ISysUserService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: SysUserServiceImpl<br>
 * Description: ISysUserService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-23  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Autowired
    private SysUserMapper sysUserMapper;

    @Override
    public IPage<SysUser> findSysUsers(QueryRequest request, LambdaQueryWrapper<SysUser> wrapper) {
        Page<SysUser> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<SysUser> findSysUsers(LambdaQueryWrapper<SysUser> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createSysUser(SysUser sysUser) {
        this.save(sysUser);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateSysUser(SysUser sysUser) {
        this.saveOrUpdate(sysUser);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteSysUser(LambdaQueryWrapper<SysUser> wrapper) {
	    this.remove(wrapper);
	}
}
